// dialDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dial.h"
#include "dialDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialDlg dialog

CDialDlg::CDialDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDialDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDialDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialDlg)
	DDX_Control(pDX, IDC_EDIT3, m_telenum);
	DDX_Control(pDX, IDC_EDIT2, m_PasswordEdit);
	DDX_Control(pDX, IDC_EDIT1, m_UserId);
	DDX_Control(pDX, IDC_COMBO_DIALUP, m_combo);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDialDlg, CDialog)
	//{{AFX_MSG_MAP(CDialDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_CONNECT, OnButtonConnect)
	ON_CBN_SELCHANGE(IDC_COMBO_DIALUP, OnSelchangeComboDialup)
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialDlg message handlers

BOOL CDialDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	setupdiaupcombo();
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDialDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDialDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDialDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDialDlg::setupdiaupcombo()
{
         m_combo.ResetContent();
         DWORD n;
         DWORD dwSize=0;
         DWORD ret=RasEnumEntries(NULL,NULL,NULL,&dwSize,&n);
         n=dwSize/sizeof(RASENTRYNAME);
         RASENTRYNAME *entry=new RASENTRYNAME[n];
         if(entry)
		 {
			 entry[0].dwSize=sizeof(RASENTRYNAME);
             DWORD ret=RasEnumEntries(NULL, NULL, entry, &dwSize,&n);
             for (DWORD i=0;i< n;i++) 
			 {
               m_combo.AddString(entry[i].szEntryName);
			 }
             delete[] entry;
		 }
}

void CDialDlg::OnButtonConnect() 
{
	// TODO: Add your control notification handler code here
     CWaitCursor wait;
	 RASDIALPARAMS params;
	 memset(&ms, '\0', sizeof(params));
	params.dwSize=sizeof(params);
	m_combo.GetWindowText(params.szEntryName, sizeof(params.szEntryName)-1);
	//strcpy(params.szPhoneNumber,"");
	m_UserId.GetWindowText(params.szUserName,sizeof(params.szUserName)-1);
	m_PasswordEdit.GetWindowText(params.szPassword,  sizeof(params.szPassword)-1);
	m_telenum.GetWindowText(params.szPhoneNumber,  sizeof(params.szPhoneNumber)-1);
  //m_UserId m_PasswordEditǶԻEditؼ
   //ָĲӡ
	if (RasDial(NULL, NULL, &params, NULL, NULL, &handle)!=0) 
	{
		//MessageBox("ڲļûӦԺ"); 
		RasHangUp(handle);
		SendMessage(WM_CLOSE);
      //MessageBox(",ȷͻжϵ绰");    
	}
	wait.Restore();
    SendMessage(WM_CLOSE);
}

void CDialDlg::OnSelchangeComboDialup() 
{
	// TODO: Add your control notification handler code here
        RASDIALPARAMS params;
		memset(&ms, '\0',sizeof(params));
	    params.dwSize=sizeof(RASDIALPARAMS);
		int sel=m_combo.GetCurSel();
	     if (sel >=0) 
		 {
			 m_combo.GetLBText(sel, params.szEntryName);
     	     TRACE("%s\n",params.szEntryName);
			 BOOL p;
             RasGetEntryDialParams(NULL, &ms, &p);
			 memset(&params.szUserName,'\0',4);
			 memset(&params.szPassword,'\0',4);
			 memset(&params.szPhoneNumber,'\0',4);
			 memset(&params.szCallbackNumber ,'\0',1);
			 memset(&params.szDomain,'\0',1);
             m_UserId.SetWindowText("263");
             m_PasswordEdit.SetWindowText("263");
			 m_telenum.SetWindowText("0,2631");
		 }
}

void CDialDlg::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	//RasHangUp(handle);	
	CDialog::OnClose();
}

void CDialDlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
	SendMessage(WM_CLOSE);
}
